org.apache.olingo.server.api.uri

## Interface UriInfoResource

- All Known Subinterfaces:
    UriInfo

      public interface UriInfoResource

  Used for URI info kind `UriInfoKind.resource` to describe URIs like E.g. http://.../serviceroot/entitySet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplyOption` | `getApplyOption()`
    `CountOption` | `getCountOption()`
    `List<CustomQueryOption>` | `getCustomQueryOptions()`
    `DeltaTokenOption` | `getDeltaTokenOption()`
    `ExpandOption` | `getExpandOption()`
    `FilterOption` | `getFilterOption()`
    `FormatOption` | `getFormatOption()`
    `IdOption` | `getIdOption()`
    `OrderByOption` | `getOrderByOption()`
    `SearchOption` | `getSearchOption()`
    `SelectOption` | `getSelectOption()`
    `SkipOption` | `getSkipOption()`
    `SkipTokenOption` | `getSkipTokenOption()`
    `TopOption` | `getTopOption()`
    `List<UriResource>` | `getUriResourceParts()` The path segments behind the service root define which resources are requested by that URI.
    `String` | `getValueForAlias(String alias)`

- - ### Method Detail

    - #### getCustomQueryOptions

          List<CustomQueryOption> getCustomQueryOptions()

      Returns:
        List of custom query options used in the URI (without alias definitions)

    - #### getExpandOption

          ExpandOption getExpandOption()

      Returns:
        Object containing information of the $expand option

    - #### getFilterOption

          FilterOption getFilterOption()

      Returns:
        Object containing information of the $filter option

    - #### getFormatOption

          FormatOption getFormatOption()

      Returns:
        Object containing information of the $format option

    - #### getIdOption

          IdOption getIdOption()

      Returns:
        Object containing information of the $id option

    - #### getCountOption

          CountOption getCountOption()

      Returns:
        Object containing information of the $count option

    - #### getDeltaTokenOption

          DeltaTokenOption getDeltaTokenOption()

      Returns:
        Object containing information of the $deltatoken option

    - #### getOrderByOption

          OrderByOption getOrderByOption()

      Returns:
        Object containing information of the $orderby option

    - #### getSearchOption

          SearchOption getSearchOption()

      Returns:
        Object containing information of the $search option

    - #### getSelectOption

          SelectOption getSelectOption()

      Returns:
        Object containing information of the $select option

    - #### getSkipOption

          SkipOption getSkipOption()

      Returns:
        Object containing information of the $skip option

    - #### getSkipTokenOption

          SkipTokenOption getSkipTokenOption()

      Returns:
        Object containing information of the $skiptoken option

    - #### getTopOption

          TopOption getTopOption()

      Returns:
        Object containing information of the $top option

    - #### getApplyOption

          ApplyOption getApplyOption()

      Returns:
        information about the $apply option

    - #### getUriResourceParts

          List<UriResource> getUriResourceParts()

      The path segments behind the service root define which resources are requested by that URI. This may be entities/functions/actions and more. Each segments information (name, key predicates, function parameters, ...) is stored within an resource object dedicated for that segment type. For example: the URI http://.../serviceroot/entitySet(1)/Adresse will have 2 ResourceParts:
      - The first one of type `UriResourceEntitySet` containing the name of the entity set and also the key predicate information.
      - The second one of type `UriResourceComplexProperty` containing the name of the accessed complex property
      Returns:
        List of resource parts.

    - #### getValueForAlias

          String getValueForAlias(String alias)

      Parameters:
        `alias` -
      Returns:
        the value for the given alias or null if no value is defined

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.